var express = require('express');

var crime = require('./routes/crime');

var app = express();

app.set('port', (process.env.PORT || 5000));

app.use(express.static(__dirname + '/public'));

// views is directory for all template files
app.set('views', __dirname + '/views');
app.set('view engine', 'ejs');

app.get('/', function(request, response) {
  response.render('pages/index', request.query);
});

app.get('/landing', function(request, response) {
  response.render('pages/landing');
});


app.get('/login', function(request, response) {
  response.render('pages/login');
});


app.get('/api', crime.view);

app.listen(app.get('port'), function() {
  console.log('Node app is running on port', app.get('port'));
});


